Attribute VB_Name = "LinkFunctions"
'==============    ===============
Option Explicit
Option Private Module

Public Function GetFullPath(ByVal addr$, docPath$) As String
'     
  If Left(addr, 1) = "." Or InStr(addr, "\") + InStr(addr, "/") = 0 Then
    If Not docPath = vbNullString Then
      addr = docPath & "\" & addr
    Else
      GetFullPath = addr
      Exit Function
    End If
  End If
  
  Dim leftSide$
  Do While InStr(addr, "../") <> 0
    leftSide = Left(addr, InStr(addr, "../") - 1)
    leftSide = Left(leftSide, InStrRev(leftSide, "\", Len(leftSide) - 1))
    addr = leftSide & Right(addr, Len(addr) - InStr(addr, "../") - 2)
  Loop
  
  GetFullPath = Replace(addr, "/", "\")
End Function

Public Function SafeGetHLinkAddress(hLink As Hyperlink) As String
'       .  4198
  On Error GoTo PICK_RANGE
  SafeGetHLinkAddress = hLink.Address
  
  Exit Function
PICK_RANGE:
  SafeGetHLinkAddress = hLink.Range.Text
End Function
